audio/libxspf - The NetBSD Packages Collection

XML Shareable Playlist Format (XSPF) library

libxspf (formerly called libSpiff) brings XSPF playlist reading and writing
support to your C++ application. Both version 0 and 1 are supported. libxspf
uses Expat for XML parsing, CppTest for unit testing and uriparser for
handling URIs. libxspf is the official reference implementation for XSPF of
the Xiph.Org Foundation.

Features

 * Full conformance to the XSPF specification
 * Cross-platform (Unix, Windows, Mac OS X, ...)
 * Read and write XSPF files
 * XSPF-0 and XSPF-1 support
 * Unicode support
 * Full support for XSPF extensions
 * Full support for XML namespaces
 * Fast (as XML parsing is done by Expat)
 * Extensive unit testing using CppTest
 * Liberal license (New BSD license)

Build dependencies

devel/libtool-base devel/pkgconf pkgtools/cwrappers

Runtime dependencies

textproc/uriparser textproc/uriparser

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibxspf-1.2.0.tgz
NetBSD 8.0i386libxspf-1.2.1nb1.tgz
NetBSD 8.0i386libxspf-1.2.1nb1.tgz
NetBSD 8.0powerpclibxspf-1.2.0.tgz
NetBSD 8.0powerpclibxspf-1.2.1.tgz
NetBSD 8.0x86_64libxspf-1.2.1nb1.tgz
NetBSD 8.0x86_64libxspf-1.2.1nb1.tgz
NetBSD 9.0aarch64libxspf-1.2.1nb1.tgz
NetBSD 9.0aarch64libxspf-1.2.1nb1.tgz
NetBSD 9.0alphalibxspf-1.2.1.tgz
NetBSD 9.0alphalibxspf-1.2.1nb1.tgz
NetBSD 9.0alphalibxspf-1.2.1nb1.tgz
NetBSD 9.0earmlibxspf-1.2.1nb1.tgz
NetBSD 9.0earmlibxspf-1.2.1nb1.tgz
NetBSD 9.0earmv6hflibxspf-1.2.1nb1.tgz
NetBSD 9.0earmv6hflibxspf-1.2.1nb1.tgz
NetBSD 9.0earmv7hflibxspf-1.2.1nb1.tgz
NetBSD 9.0earmv7hflibxspf-1.2.1nb1.tgz
NetBSD 9.0i386libxspf-1.2.1nb1.tgz
NetBSD 9.0i386libxspf-1.2.1nb1.tgz
NetBSD 9.0i386libxspf-1.2.1nb1.tgz
NetBSD 9.0mips64eblibxspf-1.2.1nb1.tgz
NetBSD 9.0mips64eblibxspf-1.2.1nb1.tgz
NetBSD 9.0powerpclibxspf-1.2.1.tgz
NetBSD 9.0powerpclibxspf-1.2.0.tgz
NetBSD 9.0sparc64libxspf-1.2.1.tgz
NetBSD 9.0sparc64libxspf-1.2.1nb1.tgz
NetBSD 9.0sparc64libxspf-1.2.1nb1.tgz
NetBSD 9.0sparclibxspf-1.2.0.tgz
NetBSD 9.0sparclibxspf-1.2.1nb1.tgz
NetBSD 9.0x86_64libxspf-1.2.1nb1.tgz
NetBSD 9.0x86_64libxspf-1.2.1nb1.tgz
NetBSD 9.0x86_64libxspf-1.2.1nb1.tgz
NetBSD 9.0x86_64libxspf-1.2.1nb1.tgz
NetBSD 9.0x86_64libxspf-1.2.1nb1.tgz
NetBSD 9.0x86_64libxspf-1.2.1nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.